Package org.eclipse.graphiti.services

# Interface IMigrationService

All Known Implementing Classes:
  `MigrationServiceImpl`

public interface IMigrationService
Migration support for converting models from older to newer versions.

Since:
  0.8.0

## Method Summary

Modifier and Type
Method
Description
`void`
`migrate070To080(Diagram diagram)`
Moves fonts which, in 0.7.0, were aggregated by AbstractText and Style to the diagram which aggregates fonts centrally as of 0.8.0.
`void`
`migrate080To090(Diagram d)`
Sets all filled attributes of abstract text instances to false.
`boolean`
`shouldMigrate070To080(Diagram diagram)`
Checks if fonts are set on graphical elements while not being managed by the diagram.
`boolean`
`shouldMigrate080To090(Diagram d)`
Checks if a version number is present.

## Method Details

### migrate070To080

void migrate070To080(Diagram diagram)
Moves fonts which, in 0.7.0, were aggregated by AbstractText and Style to the diagram which aggregates fonts centrally as of 0.8.0. Possibly modifies the diagram. Has to be called from within a write transaction. It is assumed that there is only one diagram stored in the underlying resource.

Parameters:
  `diagram` - the diagram to be migrated

### shouldMigrate070To080

boolean shouldMigrate070To080(Diagram diagram)
Checks if fonts are set on graphical elements while not being managed by the diagram. It is assumed that there is only one diagram stored in the underlying resource.

Parameters:
  `diagram` - the diagram under consideration
Returns:
  true if the diagram should be migrated, false otherwise

### migrate080To090

void migrate080To090(Diagram d)
Sets all filled attributes of abstract text instances to false. Prior to 0.9 the filled attribute was not evaluated by the rendering engine. A actual value of TRUE was an effective FALSE. Has to be called from within a write transaction. It is assumed that there is only one diagram stored in the underlying resource.

Parameters:
  `d` - the diagram to be migrated
Since:
  0.9
See Also:
  - invalid reference

        org.eclipse.graphiti.ui.internal.editor.DiagramEditorInternal#migrateDiagramModelIfNecessary()

### shouldMigrate080To090

boolean shouldMigrate080To090(Diagram d)
Checks if a version number is present. Prior to 0.9 no version number was given to the diagram.

Parameters:
  `d` - the diagram under consideration
Returns:
  true if the diagram should be migrated
Since:
  0.9
See Also:
  - invalid reference

        org.eclipse.graphiti.ui.internal.editor.DiagramEditorInternal#migrateDiagramModelIfNecessary()